<?PHP
// 任务主列表
Cache :: get( 'SQLITE' ) -> create( 'task_list', array(
	'id' => 'INTEGER PRIMARY KEY',
	'url' => 'STRING',
	'name' => 'STRING',
	'file_name' => 'STRING',
	'size' => 'INTEGER DEFAULT 0',
	'data' => 'INTEGER DEFAULT 0',
	'status' => 'TINYINT',
	'thread' => 'TINYINT DEFAULT 1',
	'set_thread' => 'TINYINT',
	'http' => 'TINYINT DEFAULT 0',
	'level' => 'TINYINT DEFAULT 0',
	'create_time' => 'INTEGER',
	'runtime' => 'INTEGER DEFAULT 0',
	'update_time' => 'INTEGER DEFAULT 0'
) );

// 任务子线程表
Cache :: get( 'SQLITE' ) -> create( 'thread_list', array(
	'id' => 'INTEGER PRIMARY KEY',
	'uid' => 'INTEGER',
	'start' => 'INTEGER',
	'end' => 'INTEGER',
	'data' => 'INTEGER DEFAULT 0',
	'pointer' => 'INTEGER DEFAULT 0',
	'level' => 'TINYINT DEFAULT 0',
) );

// 事件队列表
Cache :: get( 'SQLITE' ) -> create( 'events_list', array(
	'type' => 'STRING',
	'event' => 'STRING',
	'id' => 'INTEGER',
	'create_time' => 'INTEGER',
	'exec_time' => 'INTEGER DEFAULT 0',
	'level' => 'TINYINT DEFAULT 0'
), array(
	'PRIMARY KEY' =>  'type, event',
	'UNIQUE' => 'create_time'
) );


// 任务配置表
Cache :: get( 'SQLITE' ) -> create( 'config', array(
	'name' => 'STRING',
	'value' => 'STRING',
	'text' => 'STRING'
), array(
	'UNIQUE' => 'name'
) );
Cache :: get( 'SQLITE' ) -> table( 'config' ) -> replace( array(
	array(
		'name' => 'MULTI_UPDATE_INTERVAL',
		'value' => 3,
		'text' => '进度更新间隔(秒)'
	),
	array( 'TASK_MEM_LIMIT', 18, '最大可用内存 单位 MB' ),
	array( 'TASK_THREAD_MAX', 5, '单个任务最大线程数' ),
	array( 'TASK_START_MAX', 1, '同时进行的最大任务数' ),
	array( 'TASK_MULTI_SIZE', 0, '只有当下载文件大小大于此大小(Bytes)时，才启动多线程' ),
	array( 'TASK_REPEAT', 5, '任务失败重试' ),
	array( 'TASK_TIMEOUT', 0, '当大于0时，执行指定秒数后停止，进入再循环，会耗费更多的时间，仅用于调试' ),
	array( 'TASK_SAVE_DIR', 'downloads/', '保存目录' ),
	array( 'TASK_TEMP_EXT', '.mg', '临时文件后缀' )
) );

// 服务配置表
Cache :: get( 'SQLITE' ) -> create( 'server', array(
	'name' => 'STRING',
	'value' => 'STRING',
	'text' => 'STRING'
), array(
	'UNIQUE' => 'name'
) );
Cache :: get( 'SQLITE' ) -> table( 'server' ) -> replace( array(
	array(
		'name' => 'REPEAT_WAIT_TIME',
		'value' => 500000,
		'text' => '循环等待时间'
	),
) );

// 服务配置表
Cache :: get( 'SQLITE' ) -> create( 'logs', array(
	'id' => 'INTEGER PRIMARY KEY',
	'text' => 'STRING',
	'create_time' => 'INTEGER'
) );
?>