<?PHP

/**
 * PHP Version 5.2 +
 * Copyright (C) 2010 All Rights Reserved.
 *
 * @Application : main.php
 * @Encode : 65001 Unicode ( UTF-8 NO BOM )
 * @Description : 主要入口
 * @Author : HK <hkyyang@qq.com>
 */

set_time_limit(0);

// 最终不运行在WINDOWS下，仅测试
define( 'IS_WIN', DIRECTORY_SEPARATOR == '/' ? false : true );

// 目录常量
define( 'ROOT_DIR', dirname( __FILE__ ) . '/' );
define( 'CLASS_DIR', ROOT_DIR . 'class/' );
define( 'DB_DIR', ROOT_DIR . 'data/' );
define( 'FUNC_DIR', ROOT_DIR . 'function/' );
define( 'CONF_DIR', ROOT_DIR . 'config/' );
define( 'ACTION_DIR', ROOT_DIR . 'action/' );

// 初始化
define( 'TASK_INIT', 1 );
// 等待中
define( 'TASK_STANDBY', 2 );
// 开始
define( 'TASK_START', 3 );
// 暂停
define( 'TASK_PAUSE', 4 );
// 完成
define( 'TASK_COMPLETE', 5 );
// 失败
define( 'TASK_FAILURE', 6 );

require CLASS_DIR . 'Cache.class.php';
require CLASS_DIR . 'SQLite.class.php';
require CLASS_DIR . 'MultiGet.class.php';
require FUNC_DIR . 'multi.func.php';

// 数据库缓存
Cache :: set( 'SQLITE', new SQLite( DB_DIR . 'MultiGetTask.data' ) );
// 加载配置文件
Cache :: set( 'CONFIG', cache_load_config( 'config' ) );


// 这里是下载的保存路径，根据需要修改，绝对路径
Cache :: set( 'CONFIG.TASK_SAVE_DIR', ROOT_DIR . 'downloads/' );

$DB = Cache :: get( 'SQLITE' );
$MG = new MultiGet;

// WEB控制台AJAX请求
if( isAjax() && ! empty( $_GET[ 'action' ] ) ) {

	$action = $_GET[ 'action' ] . '.action.php';
	if( file_exists( ACTION_DIR . $action ) ) {
		require ACTION_DIR . $action;
	} else {
		echo ACTION_DIR . $action;
	}

}

?>