/**
 * @Application : Common.js
 * @Encode : 65001 Unicode ( UTF-8 NO BOM )
 * @Description : 公共事件初始化调配
 * @Author : HK <hkyyang@qq.com>
 * @Update : 2010/12/18
 */
$( function() {

	/* ---------------------------- UI ---------------------------- */

	// -- GLOBAL
	$( '#body [related="true"]' ).height( $( document ).height() - $( '#top' ).height() - $( '#footer' ).height() - $( '#title-bar' ).height() );

	// @LIVE --- TEXTAREA
	$( 'textarea' ).live( 'focus', function() {
		$( this ).css( { 'borderColor' : '#FED23C', 'color' : '#333' } );
	} ).live( 'blur', function() {
		$( this ).css( { 'borderColor' : '#CCC', 'color' : '#666' } );
	} );
	// @LIVE --- INPUT
	$( 'input' ).live( 'focus', function() {
		$( this ).css( { 'borderColor' : '#FED23C', 'color' : '#333' } );
	} ).live( 'blur', function() {
		$( this ).css( { 'borderColor' : '#CCC', 'color' : '#666' } );
	} );
	// @LIVE --- BUTTON
	$( 'button' ).live( 'mouseover', function() {
		if( $( this ).attr( 'class' ).indexOf( 'disabled' ) > -1 ) return false;
		$( this ).css( 'backgroundPosition', 'left -25px' );
	} ).live( 'mouseout', function() {
		if( $( this ).attr( 'class' ).indexOf( 'disabled' ) > -1 ) return false;
		$( this ).css( 'backgroundPosition', 'left top' );
	} );
	// @LIVE --- *SELECT
	$( 'div[class=select]' ).live( 'click', function() {
		if( $SELECT.OPEN == true ) return;
		var len = $( this ).find( 'li' ).length;
		$( this ).height( len * 16 ).css( 'borderColor', '#CCC' );
		$SELECT.OPEN = true;
		$SELECT.OBJ = $( this );
	} ).live( 'mouseover', function() {
		if( $SELECT.OPEN == false ) {
			$( this ).css( 'borderColor', '#FED23C' );
		}
		$SELECT.MOUSEON = true;
	} ).live( 'mouseout', function() {
		if( $SELECT.OPEN == false ) {
			$( this ).css( 'borderColor', '#CCC' );
		}
		$SELECT.MOUSEON = false;
	} );
	// @LIVE --- *SELECT -- OPTIONS
	$( 'div[class=select] li' ).live( 'mouseover', function() {
		if( $SELECT.OPEN == false || $( this ).index() < 1 ) return;
		$( this ).addClass( 'selected' );
		$SELECT.MOUSEON = true;
	} ).live( 'mouseout', function() {
		if( $SELECT.OPEN == false || $( this ).index() < 1 ) return;
		$( this ).removeClass( 'selected' );
		$SELECT.MOUSEON = false;
	} ).live( 'click', function() {
		if( $SELECT.OPEN == false || $SELECT.OBJ == null ) return;
		$SELECT.OBJ.height( 16 );
		$( this ).addClass( 'selected' ).prependTo( $SELECT.OBJ.find( 'ul' ) );
		$SELECT.OBJ = null;
		$SELECT.OPEN = false;
		return false;
	} );
	// DIALOG
	$( '#Dialog' ).moveOn( 'Dialog-Handler' );
	// @LIVE -- TITLE CONTENTS
	$( '[titleContents]' ).live( 'mouseover', function( e ) {
		if( $.trim( $( this ).attr( 'titleContents' ) ).length < 1 ) return false;
		$TITLECONTENTS = true;
		$( '#titleContents' ).html( $( this ).attr( 'titleContents' ) );
		var max_w = $( '#body' ).width();
		var w = e.clientX + 20;
		var this_w = $( '#titleContents' ).width();
		if( parseInt( w + this_w ) >= parseInt( max_w ) - 20 ) w =  max_w - this_w - 40;
		$( '#titleContents' ).css( { 'left': w , 'top' : e.clientY + 20, 'display' : 'block' } );
	} ).live( 'mouseout', function() {
		$TITLECONTENTS = false;
		$( '#titleContents' ).html( '' ).hide();
	} ).live( 'mousemove', function( e ) {
		if( $TITLECONTENTS == false ) return false;
		var max_w = $( '#body' ).width();
		var w = e.clientX + 20;
		var this_w = $( '#titleContents' ).width();
		if( parseInt( w + this_w ) >= parseInt( max_w ) - 20 ) w =  max_w - this_w - 40;
		$( '#titleContents' ).css( { 'left': w , 'top' : e.clientY + 20 } );
	} );

	/* ---------------------------- EVENTS ---------------------------- */

	// @LIVE --- TASK LIST CLICK
	$( '#Task-list div [task_id]' ).live( 'mouseover', function() {
		$TASKLIST.MOUSEON = true;
	} ).live( 'mouseout', function() {
		$TASKLIST.MOUSEON = false;
	} ).live( 'click', taskListEvents );

	// GLOBAL CLICK
	$( document ).bind( 'click', globalClickEvents );
	// INFO RIGHT
	$( '#infoRight' ).bind( 'mouseover', function() {
		$INFO_RIGHT.MOUSEON = true;
	} ).bind( 'mouseout', function() {
		$INFO_RIGHT.MOUSEON = false;
	} );
	// HEADER BUTTON
	$( '#top li' ).bind( 'click', topButtonsEvents );
	// FILTER BUTTON
	$( '#filter-bar li' ).bind( 'click', filterButtonsEvents );

} );